#!/bin/bash

clear
echo "Information:"
echo ""
echo "Shell install script for LinuXnet "
echo "Created with KSetupMaker"
echo "KSetupMaker is written by Sascha Marx and licensed under GPL2"
echo "Send your comments or error reports to s-marx@gmx.de "
echo ""
echo "Start the installation:"
echo ""

if [ $(which kmdr-executor) ]; then
	echo "Found Kommander. Do you want to start the installation dialog, or continue the shell installation?"
	echo "Press 'd' for dialog or 'c' to continue."
	read GUIInstall
	
	else
	echo "Kommander not found. You need Kommander to run LinuXnet. Please first install the Kommander executor."
	echo "Installation stopped."
	exit 0

fi

if [ $GUIInstall == "d" ]; then
	kmdr-executor install.kmdr
	exit 0

	else
	echo "Starting installation of LinuXnet "
	echo "Install for all or current user ($(whoami))?"
	echo "Press 'a' for all user (this requires root privileges) or 'c' for current user."
	read MethodInstall

        	if [ $MethodInstall == "a" ]; then
		LnkDir=`kde-config --path apps | awk -F: '{ print $2 }'`
		echo "Installing in /usr/local/bin/kommander/LinuXnet "
	
			if [ ! -d ${LnkDir}/Utilities ]; then
			sudo mkdir ${LnkDir}/Utilities
			fi
			
        	sudo mkdir -p /usr/local/bin/kommander/LinuXnet
		sudo cp * /usr/local/bin/kommander/LinuXnet/ -R
		sudo cp config/LinuXnet.desktop ${LnkDir}/Utilities/
		sudo chmod 777 ${LnkDir}/Utilities/LinuXnet.desktop
		sudo echo "Exec=kmdr-executor /usr/local/bin/kommander/LinuXnet/kmdr/LinuXnet.kmdr " >> ${LnkDir}Utilities/LinuXnet.desktop
		sudo echo "Icon=/usr/local/bin/kommander/LinuXnet/graphics/xclock.png " >> ${LnkDir}Utilities/LinuXnet.desktop
		sudo chmod 555 ${LnkDir}/Utilities/LinuXnet.desktop 

		echo "Installation finished."
        
		else
		LnkDir=`kde-config --localprefix`
        	echo "Installing in ${LnkDir}share/apps/kommander/LinuXnet and ~/.local/share/applications/"
		mkdir -p ${LnkDir}/share/apps/kommander/LinuXnet
		cp * ${LnkDir}/share/apps/kommander/LinuXnet/ -R
		cp config/LinuXnet.desktop ~/.local/share/applications/
		echo "Exec=kmdr-executor ${LnkDir}share/apps/kommander/LinuXnet/kmdr/LinuXnet.kmdr " >> ~/.local/share/applications/LinuXnet.desktop
		echo "Icon=${LnkDir}share/apps/kommander/LinuXnet/graphics/xclock.png " >> ~/.local/share/applications/LinuXnet.desktop
		echo "Installation finished."
		fi

fi